Index: branches/2.4/INSTALL/expressoInstall.sh
===================================================================
--- branches/2.4/INSTALL/expressoInstall.sh	(revision 6261)
+++ branches/2.4/INSTALL/expressoInstall.sh	(revision 6595)
@@ -4,15 +4,15 @@
 #
 # Criado por William Fernando Merlotto <william@prognus.com.br>
-# Baseado no script original desenvolvido por JoÃ£o Alfredo Knopik Junior <jakjr@celepar.pr.gov.br>
-# com colaboraÃ§Ãµes de:
+# Baseado no script original desenvolvido por João Alfredo Knopik Junior <jakjr@celepar.pr.gov.br>
+# com colaborações de:
 #	"William Fernando Merlotto" <william@prognus.com.br>, para Debian, Ubuntu, Red Hat e CentOS
 #	"Gustavo Nakahara" <gustavonk@prognus.com.br>, para Debian, Ubuntu, Red Hat e CentOS
 #	"Rafael Cristaldo" <rafael@prognus.com.br>, para Debian, Ubuntu, Red Hat e CentOS
 #	"Alexandre Felipe Muller de Souza" <amuller@celepar.pr.gov.br>, para Debian
-#	"CÃ¡ssio Luiz" <cassiolp@cnpq.br>, para Red Hat e CentOS
+#	"Cássio Luiz" <cassiolp@cnpq.br>, para Red Hat e CentOS
 # 	"M. Rodrigo Monteiro" <mrodrigom@gmail.com>, para Red Hat e CentOS
 #
 #
-# VersÃµes:
+# Versões:
 # 27/03/2012 - v1.0
 # 	Termino do instalador basico, para Debian Squeeze, CentOS 6 e Ubuntu Server 11.10
@@ -24,5 +24,5 @@
 #################################################################################################
 
-# TODO: Internacionalizar o script de instalaÃ§Ã£o:
+# TODO: Internacionalizar o script de instalação:
 # http://www.linuxquestions.org/questions/programming-9/bash-script-how-to-get-locale-translations-802726/
 # http://tldp.org/LDP/abs/html/localization.html
@@ -44,23 +44,6 @@
 
 # Verifica o usuario que esta executando o script
-# DEBUG: Comente esta linha para testar o script sem utilizar o usuÃ¡rio root.
+# DEBUG: Comente esta linha para testar o script sem utilizar o usuário root.
 [ $UID != 0 ] && { echo "Este script deve ser executado como superusuario (root) ou com sudo"; exit 1; }
-
-
-# Telas da instalacao
-BACKTITLE="InstalaÃ§Ã£o do ExpressoLivre versÃ£o $VERSAO"
-
-INTRO='
-Bem-Vindo(a) a instalaÃ§Ã£o do ExpressoLivre!
-
-O script de instalaÃ§Ã£o lhe permitirÃ¡ escolher entre instalar e configurar automaticamente todos os serviÃ§os necessÃ¡rio ao funcionamento do ExpressoLivre ou lhe permitirÃ¡ escolher quais serviÃ§os serÃ£o instalados e configurados. Esta Ãºltima alternativa Ã© interessante para ambientes grandes, onde os serviÃ§os sÃ£o instalados e configurados em mÃ¡quinas distintas.
-
-As informaÃ§Ãµes de senha, domÃ­nio e organizaÃ§Ã£o serÃ£o requisitadas de acordo com o(s) serviÃ§o(s) selecionado(s).
-
-A equipe ExpressoLivre nÃ£o se responsabiliza por danos ocasionados pelo uso deste instalador ou mesmo pelo prÃ³prio ExpressoLivre.
-VocÃª deseja prosseguir, por sua conta e risco, a instalaÃ§Ã£o ExpressoLivre?'
-
-# Se o usuario escolher "nao", serÃ¡ retornado 1 e consequentemente o script serÃ¡ encerrado.
-dialog --backtitle "$BACKTITLE" --cr-wrap --yesno "$INTRO" 18 80 || exit 0
 
 # Identifica o SO
@@ -79,17 +62,33 @@
 	echo "Sistema operacional desconhecido ou incompativel com o instalador do Expresso Livre!"
 	echo "$OSSTR"
-	echo "Por favor, utilize uma distribuiÃ§Ã£o GNU/Linux compatÃ­vel: Debian 6.x, Ubuntu 11.10 ou CentOS/RedHat 6.x"
+	echo "Por favor, utilize uma distribuição GNU/Linux compatível: Debian 6.x, Ubuntu 11.10 ou CentOS/RedHat 6.x"
 	exit 1
 fi
 
+# Telas da instalacao 
+BACKTITLE="Instalação do ExpressoLivre versão $VERSAO"
+
 BACKTITLE="$BACKTITLE, para $INSTALL"
 
-# Inicializacao basica de instalacao, como atualizaÃ§Ã£o de repositÃ³rio e criaÃ§Ã£o de variÃ¡veis de ambiente
+# Inicializacao basica de instalacao, como atualização de repositório e criação de variáveis de ambiente
 ini_$INSTALL
+
+INTRO=' 
+Bem-Vindo(a) a instalação do ExpressoLivre! 
+ 
+O script de instalação lhe permitirá escolher entre instalar e configurar automaticamente todos os serviços necessários ao funcionamento do ExpressoLivre ou lhe permitirá escolher quais serviços serão instalados e configurados. Esta Última alternativa é interessante para ambientes grandes, onde os serviços são instalados e configurados em máquinas distintas. 
+ 
+As informações de senha, domí­nio e organização serão requisitadas de acordo com o(s) serviço(s) selecionado(s). 
+	 
+A equipe ExpressoLivre não se responsabiliza por danos ocasionados pelo uso deste instalador ou mesmo pelo próprio ExpressoLivre. 
+Você deseja prosseguir, por sua conta e risco, a instalação ExpressoLivre?' 
+ 
+# Se o usuario escolher "nao", será retornado 1 e consequentemente o script será encerrado. 
+dialog --backtitle "$BACKTITLE" --cr-wrap --yesno "$INTRO" 18 80 || exit 0 
 
 # Inicia a escolha/instalacao e configuracao dos servicos nessarios ao ExpressoLivre
 SERVICOS=$( dialog --backtitle "$BACKTITLE" --stdout --separate-output \
-	--checklist 'Por favor, selecione quais serviÃ§os serÃ£o instalados neste sistema operacional:' 14 75 14 \
-	http 'Servidor http (apache) juntamente com os mÃ³dulos do PHP5' on \
+	--checklist 'Por favor, selecione quais serviços serão instalados neste sistema operacional:' 14 75 14 \
+	http 'Servidor http (apache) juntamente com os módulos do PHP5' on \
 	ldap 'Servidor ldap (openldap)' on \
 	bd 'Servidor de banco de dados (postgresql)' on \
@@ -103,3 +102,3 @@
 done
 
-dialog --backtitle "$BACKTITLE" --cr-wrap --msgbox "A comunidade do Expresso Livre agradece a sua participaÃ§Ã£o.\n\n\nEm caso de dÃºvidas, por favor, visite: http://www.expressolivre.org" 8 75
+dialog --backtitle "$BACKTITLE" --cr-wrap --msgbox "A comunidade do Expresso Livre agradece a sua participação.\n\n\nEm caso de dúvidas, por favor, visite: http://www.expressolivre.org" 8 75