Index: branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6540)
+++ branches/2.4/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 6621)
@@ -166,5 +166,5 @@
 		$return = $this->get_range_msgs2($params);
 
-		$return['folder'] = mb_convert_encoding( $return['folder'], 'ISO_8859-1', 'UTF-8' );
+		$return['folder'] = mb_convert_encoding( $return['folder'], 'ISO-8859-1', 'UTF-8' );
 
 		return $return;
@@ -192,5 +192,5 @@
 
             if(!$search_box_type || $search_box_type == 'UNSEEN' || $search_box_type == 'SEEN') {
-                    $msgs_info = imap_status($this->mbox,"{".$this->imap_server.":".$this->imap_port.$this->imap_options."}".mb_convert_encoding( $folder, 'UTF7-IMAP', 'UTF-8, ISO_8859-1' ) ,SA_ALL);
+                    $msgs_info = imap_status($this->mbox,"{".$this->imap_server.":".$this->imap_port.$this->imap_options."}".mb_convert_encoding( $folder, 'UTF7-IMAP', 'UTF-8, ISO-8859-1' ) ,SA_ALL);
 
                     $return['tot_unseen'] = ($search_box_type == 'SEEN') ? 0 : $msgs_info->unseen;
@@ -2771,5 +2771,5 @@
             }
 
-            $folder = mb_convert_encoding($folder, 'UTF7-IMAP', 'ISO_8859-1');
+            $folder = mb_convert_encoding($folder, 'UTF7-IMAP', 'ISO-8859-1');
             $folder = preg_replace('/INBOX[\/.]/i', 'INBOX' . $this->imap_delimiter, $folder);
             $folder_name = $params['folder_name'];
@@ -2942,5 +2942,5 @@
                                 {    
                                     $body = str_ireplace('<img src="./inc/get_archive.php?msgFolder='.$value['folder'].'&msgNumber='.$value['uid'].'&indexPart='.$value['part'].'" />' , '<img src="'.$att['name'].'" />', $body);
-                                    $mailService->addStringImage($att['source'], $att['type'],mb_convert_encoding($att['name'], 'ISO_8859-1' , 'UTF-8,ISO_8859-1') ); 
+                                    $mailService->addStringImage($att['source'], $att['type'],mb_convert_encoding($att['name'], 'ISO-8859-1' , 'UTF-8,ISO-8859-1') ); 
                                 }
                                 else
@@ -3037,7 +3037,5 @@
             if ($isHTML)
 	    { 
-
- 	        require_once(dirname(__FILE__).'/../../library/CssToInlineStyles/css_to_inline_styles.php'); 
- 	        $defaultStyle = '.expressoDefaultFont{'; 
+ 	        $defaultStyle = ''; 
  		 
  	        if(isset($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['font_family_editor']) && $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['font_family_editor']) 
@@ -3046,14 +3044,6 @@
  	        if(isset($_SESSION['phpgw_info']['user']['preferences']['expressoMail']['font_size_editor']) && $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['font_size_editor']) 
  	        $defaultStyle .= ' font-size:'.$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['font_size_editor'].';'; 
- 	                
- 	        $defaultStyle .= '}'; 
- 	
- 	        $cssToInlineStyles = new CSSToInlineStyles('<span class="expressoDefaultFont">'.$body.'</span>'); 
- 	        $cssToInlineStyles->setUseInlineStylesBlock(true); 
- 	        $cssToInlineStyles->setCSS($defaultStyle); 
- 	        $cssToInlineStyles->setCleanup(TRUE); 
- 	        $body = $cssToInlineStyles->convert(); //Converte as tag style em inline styles 
- 	        unset($cssToInlineStyles); 
- 		 
+ 	               
+ 	        $body = '<span class="'.$defaultStyle.'">'.$body.'</span>'; 
                 $mailService->setBodyHtml($body);
 	     }
@@ -5027,5 +5017,5 @@
 		    $quota_used = str_replace(")","",$size); 
 		    $quotaPercent = (($quota_used / 1024) / $data["quota_root"]["quota_limit"])*100; 
-		    $folder = mb_convert_encoding($folder, "ISO_8859-1", "UTF7-IMAP"); 
+		    $folder = mb_convert_encoding($folder, "ISO-8859-1", "UTF7-IMAP"); 
 		    if(!preg_match('/user\\'.$this->imap_delimiter.$this->username.'\\'.$this->imap_delimiter.'/i',$folder)){ 
 			    $folder = $this->functions->getLang("Inbox"); 