Index: branches/2.4/expressoMail1_2/js/main.js
===================================================================
--- branches/2.4/expressoMail1_2/js/main.js	(revision 6639)
+++ branches/2.4/expressoMail1_2/js/main.js	(revision 6643)
@@ -387,5 +387,4 @@
 			// operação na applet
 
-			connector.showProgressBar();
 
 		   // if ((msg_info.DispositionNotificationTo) && ((msg_info.Unseen == 'U') || (msg_info.Recent == 'N'))){
@@ -711,6 +710,6 @@
 			  	connector.showProgressBar();
 			  },
-			  complete: function( jqXHR, settings ){
-			  	connector.hideProgressBar();
+				complete: function( jqXHR, settings ){
+				connector.hideProgressBar();
 			  }
 
@@ -1052,6 +1051,11 @@
 							      if( data )
 								  show_msg( data );
+							  }, 
+                                                          beforeSend: function( jqXHR, settings ){ 
+                                                                connector.showProgressBar(); 
+                                                          }, 
+                                                          complete: function( jqXHR, settings ){ 
+                                                                connector.hideProgressBar();
 							  }
-
 						});
 					}
@@ -1193,5 +1197,11 @@
 				    if( data )
 					handler_move_msgs( data );
-				}
+				}, 
+ 	                        beforeSend: function( jqXHR, settings ){ 
+ 	                                connector.showProgressBar(); 
+ 	                    }, 
+ 	                    complete: function( jqXHR, settings ){ 
+ 	                                connector.hideProgressBar(); 
+ 	                  }
 
 		      });
@@ -2236,5 +2246,4 @@
 	{
 		connector = new  cConnector();
-		connector.showProgressBar();
 
 		if (sign || crypt){
@@ -2586,4 +2595,10 @@
 			      if( data )
 				  show_msg( data );
+			  }, 
+		          beforeSend: function( jqXHR, settings ){ 
+		                connector.showProgressBar(); 
+		          }, 
+		          complete: function( jqXHR, settings ){ 
+		                connector.hideProgressBar();
 			  }
 
@@ -2825,4 +2840,10 @@
 			      if( data )
 				  handler_set_messages_flag( data );
+			  }, 
+                          beforeSend: function( jqXHR, settings ){ 
+                                connector.showProgressBar(); 
+                          }, 
+                          complete: function( jqXHR, settings ){ 
+                                connector.hideProgressBar();
 			  }
 
@@ -2885,5 +2906,11 @@
 		      if( data )
 			  handler_set_messages_flag( data );
-		  }
+		   }, 
+                   beforeSend: function( jqXHR, settings ){ 
+                                 connector.showProgressBar(); 
+                   }, 
+                   complete: function( jqXHR, settings ){ 
+                                 connector.hideProgressBar(); 
+                   }
 
 	});
@@ -3779,6 +3806,13 @@
 					createDialog(data, true);
                                 
-                }});
-			
+		}, 
+                beforeSend: function( jqXHR, settings ){ 
+                                        connector.showProgressBar(); 
+                                }, 
+                                complete: function( jqXHR, settings ){ 
+                                        connector.hideProgressBar(); 
+                                } 
+            });
+	
 		}
 		else
@@ -3879,4 +3913,10 @@
 			}
 			cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+		}, 
+                beforeSend: function( jqXHR, settings ){ 
+                        connector.showProgressBar(); 
+                }, 
+                  complete: function( jqXHR, settings ){ 
+                        connector.hideProgressBar();
 		}
 	});
Index: branches/2.4/expressoMail1_2/js/search.js
===================================================================
--- branches/2.4/expressoMail1_2/js/search.js	(revision 6467)
+++ branches/2.4/expressoMail1_2/js/search.js	(revision 6643)
@@ -1754,5 +1754,12 @@
 						async: true,
 						success: function(data){handler(data);}
-					    });
+					    }, 
+                                            beforeSend: function( jqXHR, settings ){ 
+                                                        connector.showProgressBar(); 
+                                                }, 
+                                                  complete: function( jqXHR, settings ){ 
+                                                        connector.hideProgressBar(); 
+                                                } 
+                                        );
 					}else{
 					    xhr = false;
@@ -1765,5 +1772,11 @@
 				url: 'controller.php?action='+url.shift(),
 				async: true,
-				success: function(data){handler(data);}
+				success: function(data){handler(data);}, 
+                                beforeSend: function( jqXHR, settings ){ 
+                                        connector.showProgressBar(); 
+                                }, 
+                                  complete: function( jqXHR, settings ){ 
+                                        connector.hideProgressBar(); 
+                                } 
 			    });
 		    }