Index: branches/2.4/expressoMail1_2/js/search.js
===================================================================
--- branches/2.4/expressoMail1_2/js/search.js	(revision 6645)
+++ branches/2.4/expressoMail1_2/js/search.js	(revision 6653)
@@ -585,18 +585,8 @@
 							
 							if (fail) {
-								if(current_folder == mailbox){
-									$('#td_message_followup_' + messageClickedId + ', ' + 
-									'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC");	
-								}else{								
-									$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC");		
-								}
-								
-								switch( fail )
-								{
-								    case '#FollowupflagMessageIdError': alert("Não foi possível sinalizar esta mensagem. \nDetalhes do erro: mensagem não contém o atributo message-id."); break;
-								    case '#FollowupflagParamsError': alert("Não foi possível sinalizar esta mensagem. \nDetalhes do erro: mensagem não contém todos os atributos necessários."); break;
-								}
-								
-								return false;
+							    var isCurrentFolder = current_folder == mailbox ? '#td_message_followup_' + messageClickedId + ', ' : '';    
+	                                                    $(isCurrentFolder + 'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC"); 
+	                                                    MsgsCallbackFollowupflag[fail](); 
+	                                                    return false;
 							}
 							
Index: branches/2.4/expressoMail1_2/js/draw_api.js
===================================================================
--- branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6644)
+++ branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6653)
@@ -930,5 +930,5 @@
  	                var arrHeader = $('.message_header td'); 
  	                var arrBody = $('#tbody_box :first td'); 
- 	                for(i=0;i<arrHeader.length;i++){ 
+ 	                for(i=0;i<arrHeader.length;i++){
  	                                arrHeader[i].width = arrBody[i].width; 
  	                } 
@@ -1760,22 +1760,13 @@
 					.html('<img src="../prototype/modules/mail/img/flagEditor.png">');
 					
-					switch( fail )
-					{
-					    case '#FollowupflagMessageIdError': {
-						    $('#td_message_followup_' + messageClickedId + ', ' + 
-						    'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC");
-						    alert("Não foi possível sinalizar esta mensagem. \nDetalhes do erro: mensagem não contém o atributo message-id."); break;
-					    }
-					    case '#FollowupflagParamsError': {
-						    $('#td_message_followup_' + messageClickedId + ', ' + 
-						    'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC");
-						    alert("Não foi possível sinalizar esta mensagem. \nDetalhes do erro: mensagem não contém todos os atributos necessários."); break;
-					    }
-					    default : {
-						    $('#td_message_followup_' + messageClickedId + ', ' + 
-						    'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).attr('title', get_lang('Follow up')).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor);
-						    updateCacheFollowupflag(messageClickedId, msg_folder, true);
-					    }
-					}
+					if(fail != 'success'){ 
+                                            $('#td_message_followup_' + messageClickedId + ', ' +  
+                                            'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", "#CCCCCC"); 
+                                            MsgsCallbackFollowupflag[fail](); 
+                                        }else{ 
+                                            $('#td_message_followup_' + messageClickedId + ', ' +  
+                                            'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).attr('title', get_lang('Follow up')).find(".flag-edited").css("background", headers_msgs.followupflagged.backgroundColor); 
+                                            updateCacheFollowupflag(messageClickedId, msg_folder, true); 
+                                        } 
 				});
 				