Index: /branches/2.4/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.4/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6348)
+++ /branches/2.4/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6715)
@@ -94,4 +94,5 @@
 Contact added successfully.	expressoMail1_2	pt-br	Contato adicionado com sucesso.
 Connection failed with %1 Server. Try later.	expressoMail1_2	pt-br	Ocorreu uma falha de comunicação com o servidor de %1. Tente mais tarde.
+Convert this message into plain text can make parts of it are removed. Continue?	expressoMail1_2	pt-br	Converter esta mensagem para texto sem formatação pode fazer com que partes dela sejam removidas. Deseja continuar? 
 Couldn't verify if certificate was revoked.(CD-01)	expressoMail1_2	pt-br	A lista de certificados revogados não foi encontrada.(CD-01)
 Couldn't verify if certificate was revoked.(CD-02)	expressoMail1_2	pt-br	Não foi possível verificar se o certificado está revogado.(CD-02)
Index: /branches/2.4/expressoMail1_2/js/draw_api.js
===================================================================
--- /branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6655)
+++ /branches/2.4/expressoMail1_2/js/draw_api.js	(revision 6715)
@@ -3670,7 +3670,24 @@
 	//Botão TextoRico/TextoSimples
 	content.find(".new-msg-head-right-buttons").find(".button").button().filter(".rich-button").click(function(){
-		//RichTextEditor.loadEditor2(ID);
-		RichTextEditor.setPlain(check_input(content.find('[name="textplain_rt_checkbox"]')), ID);
-		change_text($(this).find(".ui-button-text"), get_lang("Rich Text"), get_lang("Simple Text"));
+		/*Se o texto do botão for "Texto simples" exibirá a mensagem antes de alterar para texto simples*/ 
+        if($(".rich-button").find("span").text() == get_lang("Simple Text")){ 
+                $.Zebra_Dialog(get_lang("Convert this message into plain text can make parts of it are removed. Continue?"), { 
+            'type':     'warning', 
+            'overlay_opacity': '0.5', 
+            'buttons':  ['OK','Cancelar'], 
+            'width' : 380, 
+            'onClose':  function(clicked) { 
+                if(clicked == 'OK'){ 
+                        RichTextEditor.setPlain(check_input(content.find('[name="textplain_rt_checkbox"]')), ID); 
+                        $(".rich-button").find("span").text(get_lang("Rich Text")); 
+                }  
+            } 
+                }) 
+        } 
+        /*Se o texto do botão for "Texto rico" simplesmente altera para texto rico*/ 
+        else{ 
+                RichTextEditor.setPlain(check_input(content.find('[name="textplain_rt_checkbox"]')), ID); 
+                $(".rich-button").find("span").text(get_lang("Simple Text")); 
+        }
 	})
 	
Index: /branches/2.4/expressoMail1_2/js/rich_text_editor.js
===================================================================
--- /branches/2.4/expressoMail1_2/js/rich_text_editor.js	(revision 6505)
+++ /branches/2.4/expressoMail1_2/js/rich_text_editor.js	(revision 6715)
@@ -213,4 +213,5 @@
       RichTextEditor.plain[id] = active;
 	  var content = $("#content_id_"+id);
+	  var div = $("<div>").attr("display", "none");
       if(active === true)
       {
@@ -219,4 +220,10 @@
             height -= 330;
             $('#body_'+id).height(height);
+            div.html($('#body_'+id).val()); 
+            /*Remove as tags html, tabulações e quebras de linha quando for utilizado o editor de texto simples*/ 
+            div.html($.trim(div.text().replace(/[\t]+/g, '').replace(/[\n]+/g, '\n'))); 
+            /*Insere o texto sem formatação no textarea*/ 
+            $('#body_'+id).val(div.text());
+
             $('#body_'+id).keydown(function(event) {
                 away = false;
@@ -228,6 +235,10 @@
 			$("[name=textplain_rt_checkbox_"+id+"]").button({ disabled: false });
       }   
-      else
+      else{
           RichTextEditor.active('body_'+id, id);
+          /*Insere somente quebras de linha para que o texto convertido não fique todo em uma linha só*/ 
+          div.html($('#body_'+id).val().replace(/[\n]+/g, '<br>')); 
+          $('#body_'+id).val(div.html()); 
+      }
 }
 