Index: /branches/2.4/prototype/modules/filters/filter-list.ejs
===================================================================
--- /branches/2.4/prototype/modules/filters/filter-list.ejs	(revision 6348)
+++ /branches/2.4/prototype/modules/filters/filter-list.ejs	(revision 6728)
@@ -4,10 +4,54 @@
 	data.rules = (data.rules || []);
 	for (var i=0; i<data.rules.length; i++) {
-	
-	if(typeof data.rules[i].criteria == "undefined" && data.rules[i].id != "vacation") continue;
+			if(data.rules[i].id != "vacation") continue; 
+    %> 
+            <li class="rule vacation" title="vacation"> 
+                    <strong class="title <%= (data.rules[i].enabled == "true")? 'enable':'disable' %>"><%= (data.rules[i].name ? data.rules[i].name : data.rules[i].id)%></strong> 
+                    <input type="hidden" class="id" value="<%= data.rules[i].id %>"> 
+                    <dl class="rule-briefing"> 
+                            <dt><%= get_lang("Criteria")%>:</dt> 
+                            <dd class="rule-briefing-criteria"> 
+                                    <ul class="rule-briefing-criteria-list"> 
+                                            <li><br></li> 
+                                    </ul> 
+                            </dd> 
+                            <dt><%= get_lang("Actions")%>:</dt> 
+                            <dd class="rule-briefing-action"> 
+                                    <ul class="rule-briefing-action-list"> 
+                                    <%  
+                                            for (var k=0; k<data.rules[i].actions.length; k++) { 
+                                                    if(data.rules[i].actions[k].type == "addflag") {  
+                                    %>               
+                                                            <li><strong> (<%= get_lang("The filter is active for alerts") %>) </strong></li> 
+                                    <%               
+                                                            continue; 
+                                                    } 
+                                    %> 
+                                            <li><strong><%= get_lang(data.rules[i].actions[k].type) %>:</strong> <%= (data.rules[i].actions[k].type == 'setflag') ? get_lang(data.rules[i].actions[k].parameter) : data.rules[i].actions[k].parameter %></li> 
+                                    <% 
+                                            } 
+                                    %> 
+                                    </ul> 
+                            </dd> 
+                    </dl> 
+                    <ul class="menu-control"> 
+                            <li><a href="#<%= data.rules[i].name %>" class="button update" title="<%= get_lang("Change rule")%> '<%= data.rules[i].name %>'"></a></li> 
+                            <li><a href="#<%= data.rules[i].name %>" class="button enable<%= (data.rules[i].enabled == "true")? '': ' hidden' %>" title="<%= get_lang("Disable rule")%>"></a></li> 
+                            <li><a href="#<%= data.rules[i].name %>" class="button disable<%= (data.rules[i].enabled  == "true")? ' hidden': '' %>" title="<%= get_lang("Enable rule")%>"></a></li> 
+                            <li><a href="#<%= data.rules[i].name %>" class="button close" title="<%= get_lang("Delete rule")%> '<%= data.rules[i].name %>'"></a></li> 
+                            <li class="select" ><input type="checkbox"/></li> 
+                    </ul> 
+            </li> 
+<% 
+    } 
+%> 
+<% 
+    for (var i=0; i<data.rules.length; i++) { 
+            if(typeof data.rules[i].criteria == "undefined" && data.rules[i].id != "vacation") continue; 
+            if(data.rules[i].id == "vacation") continue;
 
 %>
-		<% if(data.rules[i].id == "") continue %>
-		<li class="rule <%= (data.rules[i].id=='vacation')?'vacation':'' %>" title="<%= data.rules[i].id %>">
+		<% if(data.rules[i].id == "") continue; %> 
+ 	    <li class="rule" title="<%= data.rules[i].id %>"> 
 			<strong class="title <%= (data.rules[i].enabled == "true")? 'enable':'disable' %>"><%= (data.rules[i].name ? data.rules[i].name : data.rules[i].id)%></strong>
 			<input type="hidden" class="id" value="<%= data.rules[i].id %>">
@@ -17,5 +61,4 @@
 					<ul class="rule-briefing-criteria-list">
 					<% 
-					if(data.rules[i].id != "vacation"){
 						for (var j=0; j<data.rules[i].criteria.length; j++) {
 							if(data.rules[i].criteria[j].field == 'hasAttachment') {
@@ -28,9 +71,5 @@
 					<%		 }
 					
-						}
-					} else {
-					%>
-					<li><br></li>
-					<% } %>
+						}%>
 					
 					</ul>