Index: /branches/2.4/phpgwapi/inc/class.browser.inc.php
===================================================================
--- /branches/2.4/phpgwapi/inc/class.browser.inc.php	(revision 5281)
+++ /branches/2.4/phpgwapi/inc/class.browser.inc.php	(revision 6731)
@@ -44,4 +44,5 @@
 		const PLATFORM_ANDROID = 'Android';
 		const PLATFORM_UNIX = 'Unix';
+		const PLATFORM_WINMOBILE = 'WinMobile'; 
 
 		function browser()
@@ -117,4 +118,8 @@
 				$this->BROWSER_PLATFORM = self::PLATFORM_MAC;
 			}
+			elseif(strstr($HTTP_USER_AGENT,'IEMobile')) 
+            { 
+                    $this->BROWSER_PLATFORM = self::PLATFORM_WINMOBILE; 
+            } 
 			elseif(strstr($HTTP_USER_AGENT,'Win'))
 			{
Index: /branches/2.4/login.php
===================================================================
--- /branches/2.4/login.php	(revision 5926)
+++ /branches/2.4/login.php	(revision 6731)
@@ -34,4 +34,5 @@
 				$GLOBALS['phpgw']->redirect_link('/home.php');
 			}
+
 		}
 		
@@ -86,4 +87,5 @@
 		case browser::PLATFORM_NOKIA:
 		case browser::PLATFORM_ANDROID:
+		case browser::PLATFORM_WINMOBILE: 
 			$ifMobile = true;						
 			break;
@@ -93,8 +95,5 @@
 	{
 		$GLOBALS['phpgw_info']['user']['preferences']['common']['lang'] = preg_replace("/\,.*/","",$GLOBALS['_SERVER']['HTTP_ACCEPT_LANGUAGE']);
-		if( $_GET['cd'] == '66' )
-			$GLOBALS['phpgw']->redirect_link('/mobile/login.php?cd=66');
-		else
-			$GLOBALS['phpgw']->redirect_link('/mobile/login.php');
+		$GLOBALS['phpgw']->redirect_link('/mobile/login.php');
 	}
 	else
Index: /branches/2.4/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- /branches/2.4/mobile/inc/class.ui_mobilemail.inc.php	(revision 6037)
+++ /branches/2.4/mobile/inc/class.ui_mobilemail.inc.php	(revision 6731)
@@ -12,5 +12,4 @@
 
 	//TODO: Criar a Classe Widget.
-
 	include_once(PHPGW_INCLUDE_ROOT.'/expressoMail1_2/inc/class.imap_functions.inc.php');
 
@@ -341,5 +340,4 @@
 		    $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSpamFolder'] 	= $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSpamFolder']	? $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSpamFolder']		: lang("Spam");
 		    $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSentFolder']	= $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSentFolder'] 	? $_SESSION['phpgw_info']['expressomail']['email_server']['imapDefaultSentFolder'] 		: lang("Sent");
-		
 		}
 
@@ -904,10 +902,10 @@
 			$ccaddress = implode(',',$db_functions->getAddrs(explode(',',$ccaddress)));
 			
-			if(!$this->imap_functions->add_recipients("to", $toaddress, &$mail))
+			if(!$this->imap_functions->add_recipients("to", $toaddress, &$mail, true))
 			{
 				$error_msg = lang("Some addresses in the To field were not recognized. Please make sure that all addresses are properly formed");
 			}
 			
-			if(!$this->imap_functions->add_recipients("cc", $ccaddress, &$mail))
+			if(!$this->imap_functions->add_recipients("cc", $ccaddress, &$mail, true)) 
 			{
 				$error_msg = lang("Some addresses in the CC field were not recognized. Please make sure that all addresses are properly formed");
Index: /branches/2.4/expressoMail1_2/inc/class.functions.inc.php
===================================================================
--- /branches/2.4/expressoMail1_2/inc/class.functions.inc.php	(revision 5509)
+++ /branches/2.4/expressoMail1_2/inc/class.functions.inc.php	(revision 6731)
@@ -15,8 +15,12 @@
                 function CalculateDateOffset()
                 {
+					
 
+					$zones = $this->getTimezones(); 
+ 		            $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['timezone'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['timezone'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['timezone'] : sprintf("%s", array_search("America/Sao_Paulo", $zones)); 
+                    
                     $timezone_index = $_SESSION['phpgw_info']['user']['preferences']['expressoMail']['timezone'];
-                    $zones = $this->getTimezones();
-                    $user_timezone = $zones[$timezone_index];
+                    $user_timezone = $zones[$timezone_index]
+
                     $tz = new DateTimeZone($user_timezone);
                     $gmt = new DateTimeZone("Etc/GMT+0");
@@ -24,5 +28,4 @@
                     $offset = $tz->getOffset($gmttime);
                     return $offset;
-
                 }
 