Index: sandbox/2.4.2-expresso3/expressoMail1_2/index.php
===================================================================
--- sandbox/2.4.2-expresso3/expressoMail1_2/index.php	(revision 6665)
+++ sandbox/2.4.2-expresso3/expressoMail1_2/index.php	(revision 6747)
@@ -226,4 +226,5 @@
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['return_recipient_deafault'] : "0";
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['quick_search_default'] : 1;
+	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['confirm_read_message'] = $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['confirm_read_message'] ? $GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['confirm_read_message'] : 0;
 	// 	ACL for block edit Personal Data.
 	$_SESSION['phpgw_info']['user']['preferences']['expressoMail']['enable_quickadd_telephonenumber'] = $current_config['expressoMail_enable_quickadd_telephonenumber'] == 'true' ? $current_config['expressoMail_enable_quickadd_telephonenumber'] : "";
Index: sandbox/2.4.2-expresso3/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- sandbox/2.4.2-expresso3/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6698)
+++ sandbox/2.4.2-expresso3/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 6747)
@@ -33,4 +33,5 @@
 Are you sure to delete the filters?	expressoMail1_2	pt-br	Tem certeza que deseja deletar os filtros?
 A read confirmation was sent.	expressoMail1_2	pt-br	Uma confirmação de leitura foi enviada.
+Read receipt	expressoMail1_2	pt-br	Confirmação de leitura
 Read receipt: %1	expressoMail1_2	pt-br	Confirmação de leitura: %1
 Your message: %1	expressoMail1_2	pt-br	Sua mensagem: %1
@@ -91,4 +92,5 @@
 Command for spam	admin	pt-br	Comando que será executado ao marcar como spam
 Command for unmark spam	admin	pt-br	Comando que será executado ao marcar como não-spam
+Confirmation message is not sent	expressoMail1_2	pt-br	Confirmação de mensagem não enviada
 Config for expressoMail1_2	expressoMail1_2	pt-br	Configurações do expressoMail1_2
 Config for ExpressoMail	expressoMail1_2	pt-br	Configurações para o ExpressoMail
@@ -617,4 +619,5 @@
 View tips	expressoMail1_2	pt-br	Ver dicas
 Voided message	expressoMail1_2	pt-br	Mensagem violada
+Would you like to send the read receipt?	expressoMail1_2	pt-br	Deseja enviar a mensagem de confirmação de leitura?
 Warning: Your Mailbox is almost full!	expressoMail1_2	pt-br	Aviso: Sua caixa postal está quase cheia!
 was succefully removed	expressoMail1_2	pt-br	 foi removida com sucesso
@@ -639,4 +642,5 @@
 with some	expressoMail1_2	pt-br	com algumas
 With the following message	expressoMail1_2	pt-br	Com a seguinte mensagem
+Would you like to have a read receipt option to read messages?	expressoMail1_2	pt-br	Deseja apresentar opção de confirmação de leitura ao ler mensagem?	
 Would you like to keep archived messages?	expressoMail1_2	pt-br	Você gostaria de manter as mensagens arquivadas?
 Would you like to use local messages?	expressoMail1_2	pt-br	Você gostaria de usar mensagens locais?
Index: sandbox/2.4.2-expresso3/expressoMail1_2/inc/hook_settings.inc.php
===================================================================
--- sandbox/2.4.2-expresso3/expressoMail1_2/inc/hook_settings.inc.php	(revision 6055)
+++ sandbox/2.4.2-expresso3/expressoMail1_2/inc/hook_settings.inc.php	(revision 6747)
@@ -507,4 +507,6 @@
 }
 
+create_check_box('Would you like to have a read receipt option to read messages?','confirm_read_message','');
+
 $default = array(
 	'text' => lang('simple text'),
Index: sandbox/2.4.2-expresso3/expressoMail1_2/js/main.js
===================================================================
--- sandbox/2.4.2-expresso3/expressoMail1_2/js/main.js	(revision 6745)
+++ sandbox/2.4.2-expresso3/expressoMail1_2/js/main.js	(revision 6747)
@@ -534,6 +534,24 @@
 					var confNotification = confirm(get_lang("The sender:\n%1\nwaits your notification of reading. Do you want to confirm this?",Base64.decode(msg_info.DispositionNotificationTo)), "");
 
-			if (confNotification)
-				cExecute ("$this.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&date="+msg_info.udate+"&subject="+url_encode(msg_info.subject), handler_sendNotification);
+			if (confNotification) {
+			/* Adequação a nova funcionalidade. Agora, a confirmação de leitura é uma preferência do usuário. */
+				if(preferences.confirm_read_message) {
+					$.Zebra_Dialog(get_lang("Would you like to send the read receipt?"), {
+						'type':     'question',
+						'title':    get_lang('Read receipt'),
+						'buttons':  [get_lang("Yes"), get_lang("No")],
+						'overlay_opacity' : 0.5,
+						'onClose':  function(caption) {
+							if(caption == get_lang("Yes"))
+								cExecute ("$this.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&date="+msg_info.udate+"&subject="+url_encode(msg_info.subject), handler_sendNotification);								
+							else 
+								write_msg(get_lang("Confirmation message is not sent"));
+						}
+					});
+				}
+				else
+					cExecute ("$this.imap_functions.send_notification&notificationto="+msg_info.DispositionNotificationTo+"&date="+msg_info.udate+"&subject="+url_encode(msg_info.subject), handler_sendNotification);								
+			}
+				
 		}
 		//Change msg class to read.